> ## Documentation Index
> Fetch the complete documentation index at: https://docs.quickblox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Event by ID

> Retrieve event by the ID. The event specified in the request should belong to the application for which the authorization token has been received.

#### Path Parameters

<ParamField path="event_id" type="integer">ID of the event. </ParamField>

#### Headers

<ParamField header="QB-Token" type="string" required>
  A user session token. See [Authentication](/reference/authentication) page
  to learn more about the session token.
</ParamField>

#### Responses

<AccordionGroup>
  <Accordion title="200">
    A successful response

    <ResponseField name="event" type="object">
      <Expandable title="properties">
        <ResponseField name="id" type="integer" />

        <ResponseField name="event_type" type="string" />

        <ResponseField name="message" type="string" />

        <ResponseField name="date" type="string" />

        <ResponseField name="period" type="string" />

        <ResponseField name="name" type="string" />

        <ResponseField name="occured_count" type="integer" />

        <ResponseField name="created_at" type="string" />

        <ResponseField name="updated_at" type="string" />

        <ResponseField name="end_date" type="string" />

        <ResponseField name="active" type="boolean" />

        <ResponseField name="application_id" type="integer" />

        <ResponseField name="user_id" type="integer" />

        <ResponseField name="kind" type="string" />

        <ResponseField name="environment" type="string" />

        <ResponseField name="tag_query" type="string" />

        <ResponseField name="notification_channel" type="object">
          <Expandable title="properties">
            <ResponseField name="name" type="string" />
          </Expandable>
        </ResponseField>
      </Expandable>
    </ResponseField>
  </Accordion>

  <Accordion title="400">
    An error response
  </Accordion>
</AccordionGroup>

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET \
  -H "QB-Token: ff40ff1c9964fe8d16042b3c809a21b916012bba" \
  https://api.quickblox.com/events/30529342.json
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "event": {
      "id": 30529342,
      "event_type": "period_date",
      "message": "payload=eyJhcHMiOnsiYWxlcnQiOiJQdXNoIG5vdGlmaWNhdGlvbiBmcm9tIFRheWxvciIsInNvdW5kIjoiZGVmYXVsdCJ9fQ==",
      "date": 1568359375,
      "period": 86400,
      "name": null,
      "occured_count": 0,
      "created_at": "2019-09-01T20:19:08Z",
      "updated_at": "2019-09-01T20:19:08Z",
      "end_date": 1569359375,
      "active": true,
      "application_id": 76730,
      "user_id": 91141808,
      "kind": "API",
      "environment": "production",
      "tag_query": null,
      "notification_channel": {
        "name": "apns"
      }
    }
  }
  ```

  ```json 400 theme={null}
  {}
  ```
</ResponseExample>
